#bash
#makes a histogram for various ttype

for lang in English Russian French Chinese Greek all
do
echo $lang
for p in prose poetry
do
echo $p
exec 3> $lang'_'$p'_ttype'
for N in 1.0 2.0 3.0 4.0 5.0 6.0 7.0 8.0
do
echo $N
python /home/aloukina/Project_files/predict_next/read_save.py -l $lang -$p -cat ttype -out effect_size2 -select "N==$N and lbl!='S'" -d 'N_'$N'_no_S'
echo $N' temp_txt/N_'$N'_no_S/'$lang'_'$p'_ttype_effect_size2' >&3
done
histo_multi.py $lang'_'$p'_ttype' -stack -s histo/multi 
rm $lang'_'$p'_ttype'
done
done